# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202110011559.p0.git.cbf0234.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110011559.p0.git.cbf0234.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cbf0234 OS_GIT_VERSION=4.8.0-202110011559.p0.git.cbf0234.assembly.stream-cbf0234 SOURCE_DATE_EPOCH=1628709357 SOURCE_GIT_COMMIT=cbf023408f4e8cee956e5996aa013346e1d16b65 SOURCE_GIT_TAG=v0.1-135-gcbf0234 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-ovirt 

ARG version
ARG release

LABEL   com.redhat.component="machine-api" \
        name="cluster-api-provider-ovirt" \
        version="$version" \
        release="$release" \
        architecture="x86_64" \
        summary="cluster-api-provider-ovirt" \
        maintainer="OCP RHV Team <ocprhvteam@redhat.com>"

WORKDIR /go/cluster-api-provider-ovirt
COPY . .


RUN git --version
RUN make build

FROM openshift/ose-base:v4.8.0.20211001.161120
ENV __doozer=update BUILD_RELEASE=202110011559.p0.git.cbf0234.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110011559.p0.git.cbf0234.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cbf0234 OS_GIT_VERSION=4.8.0-202110011559.p0.git.cbf0234.assembly.stream-cbf0234 SOURCE_DATE_EPOCH=1628709357 SOURCE_GIT_COMMIT=cbf023408f4e8cee956e5996aa013346e1d16b65 SOURCE_GIT_TAG=v0.1-135-gcbf0234 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-ovirt 

COPY --from=builder /go/cluster-api-provider-ovirt/bin/machine-controller-manager /

LABEL \
        name="openshift/ose-ovirt-machine-controllers" \
        com.redhat.component="ose-ovirt-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="oVirt Provider" \
        release="202110011559.p0.git.cbf0234.assembly.stream" \
        io.openshift.build.commit.id="cbf023408f4e8cee956e5996aa013346e1d16b65" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-ovirt" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-ovirt/commit/cbf023408f4e8cee956e5996aa013346e1d16b65" \
        version="v4.8.0"

